# List conversations

> GET /chat/sessions. HeyRik API parameters and documented request and response examples.

Source: https://www.heyrik.com/docs/api-reference/chat/get-chat-sessions-list-conversations

GET https://server.heyrik.com/api/v1/chat/sessions

## Headers

Authorization: Bearer $HEYRIK_API_KEY (required). Keep your key on your server.

## Parameters

- agent_id (string): Only this agent's chats. `agency_id` also accepted.
- limit / offset (number): Pagination — walk with has_more.

## Request example

```sh
curl "https://server.heyrik.com/api/v1/chat/sessions?agent_id=agc_9f2a1c30&limit=20" \
  -H "Authorization: Bearer $HEYRIK_API_KEY"
```

## Response example

```json
{ "data": { "items": [ { "id": "cht_c09b79cc", "title": "Support chat", "message_count": 4 } ], "total": 1, "has_more": false } }
```
